#!/bin/sh
# genchanges.sh - generate a changes file for a deb file generated via
#      the make-kpkg utility
# stolen from the pcmcia package

# KSRC KMAINT and KEMAIL are expected to be passed through the environment

set -e
umask 022

KVERS=`cat debian/KVERS`
MODVERS=`cat debian/MODVERS`
ARCH=`dpkg --print-architecture`

# the changes file's name
chfile="$KSRC/../ftape-module-${KVERS}_${MODVERS}_${ARCH}.changes"

dpkg-genchanges -b ${KMAINT:+-m"$KMAINT <$KEMAIL>"} \
	-u"$KSRC/.." > "$chfile.pt"
sed -e '/^Closes:.*/d' "$chfile.pt" > "$chfile.pt.mod"
mv "$chfile.pt.mod" "$chfile.pt"
pgp -fast ${KMAINT:+-u"$KMAINT"} < "$chfile.pt" > "$chfile"
rm "$chfile.pt"
